# Scaffolding

In this section, you will find information about the project file structure and the purpose of main folders and files.

## Source Files

| Folder/File        | Purpose                                                      |
| ------------------ | ------------------------------------------------------------ |
| assets             | The application's assets, contains fonts, SVGs, PNGs, and GIFs. |
| doctypes           | Contains the **cozy** doctypes, you can see more on [Cozy Documentation](https://github.com/cozy/cozy-doctypes). |
| helpers            | Contains helper functions that are used by services. It contains also a test file for each helper file. |
| locales            | Contains JSON data used by the translation system i18n provided by [Cozy-ui](https://github.com/cozy/cozy-ui). |
| models             | Contains all our models' Interfaces                          |
| services           | Here you'll find all the services. It contains also a test file for each service file. |
| store              | Redux store. Contains actions, reducers, and store types.    |
| styles             | Styles folder. The **base** folder under it contains our variables, fonts, breakpoints, animations, and mixins. Whenever you add a style file elsewhere, don't forget to import it in **index.scss**. |
| targets            | Contains mobile and browser targets. It also contains a **Public** target for the *service worker*. |
| types              | Contains all cozy types.                                     |
| utils              | In this folder you'll find utilities methods.                |
| components/App.tsx | The root component.                                          |

## Configuration Files

| File                      | Purpose                                                      |
| ------------------------- | ------------------------------------------------------------ |
| .editorconfig             | Editor config rules                                          |
| .eslintrc.js              | ESLint config file                                           |
| gitlab-ci.yml             | Gitlab continuous integration config file                    |
| .prettierrc               | Prettier extension config file                               |
| app.config.*              | Overloads webpack configuration                              |
| jest.config.js            | Jest config file                                             |
| manifest.webapp           | Manifest of the application, used by cozy for permissions' management. You can add permissions for doctypes here |
| tsconfig.json             | TypeScript config file                                       |
| konnector-dev-config.json | To locally test konnectors                                   |
| service-dev-config.json   | To locally test services                                     |

